Package pyplusplus :: Package code_creators :: Module custom :: Class custom_text_t

# type custom_text_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                           custom_t --+
                                      |
                                     custom_text_t

Instance Methods

__init__(self, text, works_on_instance=True) Base class for custom code. | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| text
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, text, works_on_instance=True)
(Constructor)

source code

Base class for custom code. works_on_instance: If true, the custom code can be applied directly to obj inst. Ex: ObjInst."CustomCode"

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### text

Get Method:
  _get_text(self)
Set Method:
  _set_text(self, new_text)